View Issue Details

IDProjectCategoryView StatusLast Update
0001546SymmetricDSBugpublic2014-02-05 10:08
ReporterericoAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.15 
Target Version3.5.16Fixed in Version3.5.16 
Summary0001546: Table definition does not update correctly (postgresql)
DescriptionChanges on size (not type) of column does not reflect on nodes
Steps To Reproduce1. Change data type of some table from numeric(1) to numeric(8)
2. call ./symadmin sync-triggers ...
3. call ./symadmin send-schema --node 001 tablex
Additional Informationpay attention for:

send:
<column name="teste" type="NUMERIC" size="8">

but:
ALTER COLUMN "teste" TYPE numeric(1,0);

log:

[loja_001] - DatabaseWriter - About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="public">
    <table name="produto">
        <column name="id" primaryKey="true" required="true" type="VARCHAR" size="8">
            <platform-column name="postgres" type="varchar" size="8"/>
        </column>
        <column name="nome" type="VARCHAR" size="255">
            <platform-column name="postgres" type="varchar" size="255"/>
        </column>
        <column name="teste" type="NUMERIC" size="8">
            <platform-column name="postgres" type="numeric" size="8"/>
        </column>
    </table>
</database>
[loja_001] - PostgreSqlDatabasePlatform - Running alter sql:
ALTER TABLE "produto"
     ALTER COLUMN "teste" TYPE numeric(1,0);

[loja_001] - PullService - Pull data received from matriz:matriz:matriz. 1 rows and 1 batches were processed
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 9968dbc5

2014-01-25 10:42:25

chenson

Details Diff
0001546: Table definition does not update correctly (postgresql)
0001546
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2014-01-24 08:43 erico New Issue
2014-01-25 10:40 chenson Assigned To => chenson
2014-01-25 10:40 chenson Status new => assigned
2014-01-25 10:40 chenson Fixed in Version => 3.5.16
2014-01-25 10:40 chenson Target Version => 3.5.16
2014-01-25 10:42 chenson Status assigned => resolved
2014-01-25 10:42 chenson Resolution open => fixed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7891
2014-02-05 10:08 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9968dbc5